Bug 836810 - Review Request: Tiny-Tiny-RSS - Web based news feed and aggregator
Review Request: Tiny-Tiny-RSS - Web based news feed and aggregator
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 926968
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-01 11:49 EDT by Sébastien Willmann
Modified: 2014-08-12 15:52 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-26 07:16:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix the sphinx unbundled library issue (746 bytes, patch)
2013-03-19 08:43 EDT, Juan Orti
no flags Details | Diff

  None (edit)
Description Sébastien Willmann 2012-07-01 11:49:27 EDT
Spec URL: http://wilqu.fr/rpms/tt-rss/tt-rss.spec
SRPM URL: http://wilqu.fr/rpms/tt-rss/tt-rss-1.5.11-1.fc17.src.rpm
Description: Tiny Tiny RSS is an open source web-based news feed (RSS/Atom) reader and
aggregator, designed to allow you to read news from any location, while
feeling as close to a real desktop application as possible.
Fedora Account System Username: wilqu

$ rpmlint tt-rss-1.5.11-1.fc17.src.rpm tt-rss-1.5.11-1.fc17.noarch.rpm 
tt-rss.src: I: enchant-dictionary-not-found en_US
tt-rss.noarch: W: non-etc-or-var-file-marked-as-conffile /usr/share/tt-rss/config.php
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

The configuration file is expected to be at this location, it can not be moved to /etc or /var.
Comment 1 Sébastien Willmann 2012-07-01 13:04:20 EDT
Moved the configuration file to /etc/tt-rss/config.php

Spec URL: http://wilqu.fr/rpms/tt-rss/tt-rss.spec
SRPM URL: http://wilqu.fr/rpms/tt-rss/tt-rss-1.5.11-2.fc17.src.rpm

$ rpmlint tt-rss-1.5.11-2.fc17.src.rpm tt-rss-1.5.11-2.fc17.noarch.rpm 
tt-rss.src: I: enchant-dictionary-not-found en_US
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Sébastien Willmann 2012-12-29 13:15:17 EST
This package have some issues to be fixed and is not yet ready.
Comment 3 Jared Smith 2013-03-14 11:00:45 EDT
With Google announcing the shutdown of Google Reader, I'm sure more people will be interested in running tt-rss on their own server. 

Have you had a chance to update your packages for review?
Comment 4 Sébastien Willmann 2013-03-14 15:42:13 EDT
I didn't notice that php-htmlpurifier-htmlpurifier was in the repositories. I'll update the package probably this week end.

I moved the files to my fedorapeople:

Spec URL: http://wilqu.fedorapeople.org/reviews/tt-rss/tt-rss.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/tt-rss/tt-rss-1.5.11-2.fc17.src.rpm
Comment 5 Sébastien Willmann 2013-03-17 17:18:07 EDT
Spec URL: http://wilqu.fedorapeople.org/reviews/Tiny-Tiny-RSS/Tiny-Tiny-RSS.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/Tiny-Tiny-RSS/Tiny-Tiny-RSS-1.7.4-1.fc18.src.rpm

I updated the package to the last version and removed some bundled libs, but there are some bundled libs left that are not packaged yet. One of them (jsmin) doesn't have an acceptable license, so it has to be removed.

For now, the package requires both mysql and postgresql bindings, but I'll probably split it to avoid that.

The name of the tarball changed, so I also changed the name of the package.
Comment 6 Juan Orti 2013-03-19 07:12:05 EDT
Hello, thanks for your work.
I'm trying the package and I have problems to run the update_daemon2.php, I get this error:

PHP Parse error:  syntax error, unexpected '';' (T_CONSTANT_ENCAPSED_STRING) in /usr/share/Tiny-Tiny-RSS/include/functions.php on line 3653

That line is:  $sphinxClient->SetServer('localhost', 9312);
so it seems that something is broken when removing the bundled sphinx library. With the vanilla tar.gz it worked for me.

I use this unit file to launch the update daemon. It may be interesting to include something similar in your package:

[Unit]
Description=Tiny Tiny RSS update daemon
After=network.target mysqld.service
Requires=mysqld.service

[Service]
User=apache
Group=apache
WorkingDirectory=/usr/share/Tiny-Tiny-RSS
Type=simple
ExecStart=/usr/bin/php ./update_daemon2.php
PrivateTmp=true
InaccessibleDirectories=/home /root /boot /opt /mnt /media
ReadOnlyDirectories=/etc /usr

[Install]
WantedBy=multi-user.target
Comment 7 Juan Orti 2013-03-19 08:24:51 EDT
/etc/Tiny-Tiny-RSS/config.php contains the database password in clear text, so it should have apache:apache 0600 permissions.

Also, you are including some files twice. When you indicate a directory, all files are added recursively (unless you use %dir):
/etc/Tiny-Tiny-RSS/config.php
/usr/share/Tiny-Tiny-RSS/cache/export
/usr/share/Tiny-Tiny-RSS/cache/images
/usr/share/Tiny-Tiny-RSS/feed-icons
/usr/share/Tiny-Tiny-RSS/lock

In the dependencies, you should require policycoreutils-python instead of restorecon and semanage.
Comment 8 Juan Orti 2013-03-19 08:43:22 EDT
Created attachment 712646 [details]
Fix the sphinx unbundled library issue

You forgot a ' in the sed
Comment 9 Sébastien Willmann 2013-03-24 14:35:34 EDT
Spec URL: http://wilqu.fedorapeople.org/reviews/Tiny-Tiny-RSS/Tiny-Tiny-RSS.spec
SRPM URL: http://wilqu.fedorapeople.org/reviews/Tiny-Tiny-RSS/Tiny-Tiny-RSS-1.7.4-2.fc18.src.rpm

Thanks for your comments. I fixed your issues plus many more. Actually the package wasn't functionnal at all. This time I tested it (with postgresql) and it should work.

I include files twice to add special tags (%config(noreplace), %attr). Is there a better way to do it?

There is still work to do. Here is the list of libs to be packaged:
* accept-to-gettext (couldn't find upstream site)
* MiniTemplator http://www.source-code.biz/MiniTemplator/ https://bugzilla.redhat.com/show_bug.cgi?id=926968
* Mobile_Detect https://github.com/serbanghita/Mobile-Detect
* otphp https://github.com/lelag/otphp
* phpqrcode http://phpqrcode.sourceforge.net/
* pubsubhubbub https://code.google.com/p/pubsubhubbub/
Comment 10 Pete Zaitcev 2013-04-14 00:07:00 EDT
I don't see any files included twice.
Comment 11 Sébastien Willmann 2014-01-26 07:16:22 EST
I don't think I'll have the patience to package and maintain this. I'm closing this review request.

Note You need to log in before you can comment on or make changes to this bug.